# PSF-LoginServer - master - net.psforever.objects.TelepadDeployable
PSF - LoginServer - master - net.psforever.objects.TelepadDeployable
Keywords: PSF LoginServer master net.psforever.objects.TelepadDeployable

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package avatar
  Definition Classes
    objects
-  package ballistics
  Definition Classes
    objects
-  package ce
  Definition Classes
    objects
-  package definition
  Definition Classes
    objects
-  package entity
  Definition Classes
    objects
-  package equipment
  Definition Classes
    objects
-  package geometry
  Definition Classes
    objects
-  package guid
  Definition Classes
    objects
-  package inventory
  Definition Classes
    objects
-  package loadouts
  Definition Classes
    objects
-  package locker
  Definition Classes
    objects
-  package serverobject
  Definition Classes
    objects
-  package teamwork
  Definition Classes
    objects
-  package vehicles
  Definition Classes
    objects
-  package vital
  Definition Classes
    objects
-  package zones
  Definition Classes
    objects
- Account
- AmmoBox
- BoomerDeployable
- BoomerDeployableControl
- BoomerDeployableDefinition
- BoomerTrigger
- CommonNtuContainer
- ConstructionItem
- Default
- Deployables
- ExplosiveDeployable
- ExplosiveDeployableControl
- ExplosiveDeployableDefinition
- GlobalDefinitions
- Kit
- LivePlayerList
- LocalLockerItem
- LocalProjectile
- MineDeployableControl
- Ntu
- NtuContainer
- NtuContainerDefinition
- NtuStorageBehavior
- ObjectType
- OffhandEquipmentSlot
- OwnableByPlayer
- PlanetSideGameObject
- Player
- Players
- SensorDeployable
- SensorDeployableControl
- SensorDeployableDefinition
- Session
- ShieldGeneratorControl
- ShieldGeneratorDefinition
- ShieldGeneratorDeployable
- SimpleItem
- SpawnPoint
- SpawnPointDefinition
- SpecialEmp
- Telepad
- TelepadControl
- TelepadDeployable
- TelepadDeployableControl
- TelepadDeployableDefinition
- Tool
- Tools
- TrapDeployable
- TrapDeployableControl
- TrapDeployableDefinition
- TurretControl
- TurretDeployable
- TurretDeployableDefinition
- Vehicle
- Vehicles

c

net.psforever.objects

# TelepadDeployable

###

#### class TelepadDeployable extends Deployable with TelepadLike

Source
  TelepadDeployable.scala

Linear Supertypes
TelepadLike, Deployable, BaseDeployable, OwnableByPlayer, Vitality, VitalsHistory, BlockMapEntity, PlanetSideServerObject, ZoneAware, FactionAffinity, PlanetSideGameObject, WorldEntity, IdentifiableEntity, Identifiable, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TelepadDeployable
2. TelepadLike
3. Deployable
4. BaseDeployable
5. OwnableByPlayer
6. Vitality
7. VitalsHistory
8. BlockMapEntity
9. PlanetSideServerObject
10. ZoneAware
11. FactionAffinity
12. PlanetSideGameObject
13. WorldEntity
14. IdentifiableEntity
15. Identifiable
16. AnyRef
17. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new TelepadDeployable(ddef: TelepadDeployableDefinition)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Active: Boolean
   Definition Classes
     TelepadLike
5.  def Active_=(state: Boolean): Boolean
   Definition Classes
     TelepadLike
6.  def Actor: ActorRef

   Retrieve a reference to the internal `Actor`.

   Retrieve a reference to the internal `Actor`.

   returns

     the internal `ActorRef`

   Definition Classes
     PlanetSideServerObject
7.  def Actor_=(control: ActorRef): ActorRef

   Assign an `Actor` to act for this server object.

   Assign an `Actor` to act for this server object. This reference is only set once, that is, as long as the internal `ActorRef` directs to `ActorRef.noSender` (`null`).

   control

     the `Actor` whose functionality will govern this server object

   returns

     the current internal `ActorRef`

   Definition Classes
     PlanetSideServerObject
8.  def AssignOwnership(playerOpt: Option[Player]): OwnableByPlayer

   na

   na

   playerOpt

     na

   returns

     na

   Definition Classes
     OwnableByPlayer
9.  def AssignOwnership(player: Player): OwnableByPlayer

   na

   na

   player

     na

   returns

     na

   Definition Classes
     OwnableByPlayer
10.  def CanDamage: Boolean
    Definition Classes
      Vitality
11.  def CanRepair: Boolean
    Definition Classes
      Vitality
12.  def ClearHistory(): List[VitalsActivity]
    Definition Classes
      VitalsHistory
13.  def Continent: String
    Definition Classes
      ZoneAware
14.  def Continent_=(zoneId: String): String

    Give the entity a custom `Zone` identifier.

    Give the entity a custom `Zone` identifier.

    zoneId

      the custom identifier of the `Zone` object

    returns

      the identifier of the `Zone` object

    Definition Classes
      ZoneAware
15.  def DamageModel: DamageResistanceModel
    Definition Classes
      BaseDeployable → Vitality
16.  def DefaultHealth: Int
    Definition Classes
      Vitality
17.  def Definition: TelepadDeployableDefinition
    Definition Classes
      TelepadDeployable → Deployable → BaseDeployable → Vitality → PlanetSideGameObject
18.  def Destroyed: Boolean
    Definition Classes
      PlanetSideGameObject
19.  def Destroyed_=(state: Boolean): Boolean
    Definition Classes
      PlanetSideGameObject
20.  def Entity: WorldEntity
    Definition Classes
      PlanetSideGameObject
21.  def Entity_=(newEntity: WorldEntity): Unit
    Definition Classes
      PlanetSideGameObject
22.  def Faction: types.PlanetSideEmpire.Value
    Definition Classes
      BaseDeployable → FactionAffinity
23.  def Faction_=(toFaction: types.PlanetSideEmpire.Value): types.PlanetSideEmpire.Value
    Definition Classes
      BaseDeployable → FactionAffinity
24.  def GUID: PlanetSideGUID
    Definition Classes
      IdentifiableEntity → Identifiable
25.  def GUID_=(guid: PlanetSideGUID): PlanetSideGUID
    Definition Classes
      IdentifiableEntity → Identifiable
26.  def GUID_=(guid: StalePlanetSideGUID): PlanetSideGUID

    Always intercept `StalePlanetSideGUID` references when attempting to mutate the GUID value.

    Always intercept `StalePlanetSideGUID` references when attempting to mutate the GUID value.

    guid

      the valid GUID to assign

    returns

      never returns

    Definition Classes
      IdentifiableEntity
    Exceptions thrown

      ``AssigningGUIDException`` always

27.  def HasGUID: Boolean

    Flag when the object has no GUID (initial condition) or is considered stale.

    Flag when the object has no GUID (initial condition) or is considered stale.

    returns

      whether the value of the GUID is a valid representation for this object

    Definition Classes
      IdentifiableEntity
28.  def Health: Int
    Definition Classes
      Vitality
29.  def Health_=(assignHealth: Int): Int
    Definition Classes
      Vitality
30.  def History(result: DamageResult): List[VitalsActivity]

    Very common example of a `VitalsActivity` event involving damage.

    Very common example of a `VitalsActivity` event involving damage.

    result

      the fully-informed entry

    returns

      the list of previous changes to this object's vital statistics

    Definition Classes
      VitalsHistory
31.  def History(action: Option[VitalsActivity]): List[VitalsActivity]

    A `VitalsActivity` event must be recorded.

    A `VitalsActivity` event must be recorded. Add new entry to the front of the list (for recent activity).

    action

      the fully-informed entry

    returns

      the list of previous changes to this object's vital statistics

    Definition Classes
      VitalsHistory
32.  def History(action: VitalsActivity): List[VitalsActivity]

    A `VitalsActivity` event must be recorded.

    A `VitalsActivity` event must be recorded. Add new entry to the front of the list (for recent activity).

    action

      the fully-informed entry

    returns

      the list of previous changes to this object's vital statistics

    Definition Classes
      VitalsHistory
33.  def History: List[VitalsActivity]
    Definition Classes
      VitalsHistory
34.  def Invalidate(): Unit

    Indicate that the current GUID is no longer a valid representation of the object.

    Indicate that the current GUID is no longer a valid representation of the object. Transforms whatever the current GUID is into a `StalePlanetSideGUID` entity with the same value. Doing this restores the object to its default mutation option ("the ability to set a new valid GUID"). The current GUID will still be accessed as if it were valid, but it will be wrapped in the new stale object.

    Definition Classes
      IdentifiableEntity
35.  def LastDamage: Option[DamageResult]
    Definition Classes
      VitalsHistory
36.  def LastShot: Option[DamageResult]

    Find, specifically, the last instance of a weapon discharge vital statistics change.

    Find, specifically, the last instance of a weapon discharge vital statistics change.

    returns

      information about the discharge

    Definition Classes
      VitalsHistory
37.  def MaxHealth: Int
    Definition Classes
      Vitality
38.  def MaxHealth_=(default: Option[Int]): Int
    Definition Classes
      Vitality
39.  def MaxHealth_=(default: Int): Int
    Definition Classes
      Vitality
40.  def MaxShields: Int
    Definition Classes
      BaseDeployable
41.  def Orientation: Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
42.  def Orientation_=(vec: Vector3): Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
43.  def Owner: Option[PlanetSideGUID]
    Definition Classes
      OwnableByPlayer
44.  def OwnerName: Option[String]
    Definition Classes
      OwnableByPlayer
45.  def OwnerName_=(owner: Option[String]): Option[String]
    Definition Classes
      OwnableByPlayer
46.  def OwnerName_=(owner: Player): Option[String]
    Definition Classes
      OwnableByPlayer
47.  def OwnerName_=(owner: String): Option[String]
    Definition Classes
      OwnableByPlayer
48.  def Owner_=(owner: Option[PlanetSideGUID]): Option[PlanetSideGUID]
    Definition Classes
      OwnableByPlayer
49.  def Owner_=(owner: Player): Option[PlanetSideGUID]
    Definition Classes
      OwnableByPlayer
50.  def Owner_=(owner: PlanetSideGUID): Option[PlanetSideGUID]
    Definition Classes
      OwnableByPlayer
51.  def Position: Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
52.  def Position_=(vec: Vector3): Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
53.  def ResetControl(): ActorRef
    Definition Classes
      PlanetSideServerObject
54.  def Router: Option[PlanetSideGUID]
    Definition Classes
      TelepadLike
55.  def Router_=(rguid: Option[PlanetSideGUID]): Option[PlanetSideGUID]
    Definition Classes
      TelepadLike
56.  def Router_=(rguid: PlanetSideGUID): Option[PlanetSideGUID]
    Definition Classes
      TelepadLike
57.  def Shields: Int
    Definition Classes
      BaseDeployable
58.  def Shields_=(toShields: Int): Int
    Definition Classes
      BaseDeployable
59.  def Velocity: Option[Vector3]
    Definition Classes
      PlanetSideGameObject → WorldEntity
60.  def Velocity_=(vec: Option[Vector3]): Option[Vector3]
    Definition Classes
      PlanetSideGameObject → WorldEntity
61.  def Velocity_=(vec: Vector3): Option[Vector3]
    Definition Classes
      WorldEntity
62.  def Zone: Zone
    Definition Classes
      ZoneAware
63.  def Zone_=(zone: Zone): Zone

    When assigning a new `Zone` object for the `Vehicle` object, eliminate

    When assigning a new `Zone` object for the `Vehicle` object, eliminate

    zone

      a reference to the `Zone` object

    returns

      a reference to the `Zone` object

    Definition Classes
      ZoneAware
64.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
65.  def blockMapEntry: Option[BlockMapEntry]

    internal data regarding an active representation on a blockmap

    internal data regarding an active representation on a blockmap

    Definition Classes
      BlockMapEntity
66.  def blockMapEntry_=(entry: Option[BlockMapEntry]): Option[BlockMapEntry]

    internal data regarding an active representation on a blockmap

    internal data regarding an active representation on a blockmap

    Definition Classes
      BlockMapEntity
67.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
68.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
69.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
70.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
71.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
72.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
73.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
74.  def isMoving(test: Float): Boolean

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    test

      the (squared) velocity to test against

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
75.  def isMoving(test: Vector3): Boolean

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    test

      the velocity to test against

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
76.  def isMoving: Boolean

    A velocity of non-zero is the same as moving.

    A velocity of non-zero is the same as moving.

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
77.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
78.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
79.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
80.  def sector(zone: Zone, range: Float): SectorPopulation

    Buckets in the blockmap are called "sectors".

    Buckets in the blockmap are called "sectors". Find the sectors in a given blockmap in which the entity would be represented within a given range.

    zone

      what region the blockmap represents

    range

      the custom distance from the central sector along the major axes

    returns

      a conglomerate sector which lists all of the entities in the allocated sector(s)

    Definition Classes
      BlockMapEntity
81.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
82.  def toString(): String
    Definition Classes
      AnyRef → Any
83.  def updateBlockMapEntry(newCoords: Vector3): Boolean

    Update the internal data's known coordinate position without changing representation on whatever blockmap.

    Update the internal data's known coordinate position without changing representation on whatever blockmap. Has the potential to cause major issues with the blockmap if used without external checks.

    newCoords

      the coordinate position

    returns

      `true`, if the coordinates were updated; `false`, otherwise

    Definition Classes
      BlockMapEntity
84.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
85.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
86.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from TelepadLike

### Inherited from Deployable

### Inherited from BaseDeployable

### Inherited from OwnableByPlayer

### Inherited from Vitality

### Inherited from VitalsHistory

### Inherited from BlockMapEntity

### Inherited from PlanetSideServerObject

### Inherited from ZoneAware

### Inherited from FactionAffinity

### Inherited from PlanetSideGameObject

### Inherited from WorldEntity

### Inherited from IdentifiableEntity

### Inherited from Identifiable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped